
SCM Creator (+Github) - Patch #2095

Git repositories are always created without .git extension

24 Jul 2012 15:14 - Manfred Kröhnert

Status: Closed Start date: 24 Jul 2012

Priority: Normal Due date: 14 Nov 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4.2   

Redmine version:  External issue:  

Description

During creation of a new Git repository the URL field always showed something like /path/to/git/repo.git.

After clicking Create new repository the created repository was always /path/to/git/repo and it was missing the .git extension.

To fix this I had to change the following line:

--- lib/scm_repositories_controller_patch.rb    (revision 118)

+++ lib/scm_repositories_controller_patch.rb    (working copy)

@@ -220,7 +220,7 @@

         def scm_create_repository(repository, interface, url)

             name = interface.repository_name(url)

             if name

-                path = interface.path(name)

+                path = interface.default_path(name)

                 if File.directory?(path)

                     repository.errors.add(:url, :already_exists)

                 else

 

I hope this helps and is the correct patch.

Related issues:

Related to SCM Creator (+Github) - Bug #2102: Code to strip '.git' extensions... Closed 27 Sep 2012 14 Nov 2012

Duplicated by SCM Creator (+Github) - Bug #2120: git_ext not applied when cre... Closed 08 Nov 2012

Associated revisions

Revision 119 - 15 Nov 2012 00:08 - Andriy Lesyuk

Applied fixes (#2095, #2102 and #2120)

History

#1 - 24 Jul 2012 15:15 - Manfred Kröhnert

- File patch.diff added

Patch attached as the formatter seems to mess the inline patch.

#2 - 08 Oct 2012 14:17 - Andriy Lesyuk

- Assignee set to Andriy Lesyuk

- Target version set to 0.4.2

#3 - 15 Nov 2012 00:09 - Andriy Lesyuk

- Due date set to 14 Nov 2012

- Status changed from New to Closed

- % Done changed from 0 to 100
Files

patch.diff 508 Bytes 24 Jul 2012 Manfred Kröhnert
